<%@ Page language="c#" %>
<%@ Register TagPrefix="uc1" TagName="Footer" Src="~/Footer.ascx" %>
<%@ Register TagPrefix="uc1" TagName="TopBanner" Src="AdminBanner.ascx" %>
<%@ Register TagPrefix="uc1" TagName="ModifyUserProfile" Src="../ModifyUserProfile.ascx" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Frameset//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-frameset.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
	<head>
		<title>Modify User's Profile</title>
		<link href="../Sample.css" type="text/css" rel="stylesheet" />
	</head>
	<body>
		<form id="Form1" method="post" runat="server">		
			<uc1:topbanner id="TopBanner1" runat="server"></uc1:topbanner>
			<table cellSpacing="0" cellPadding="10" align="center" width="600" border="0">
				<tr>		
					<td>
						<h1 align="center">Modify <asp:Label Font-Size="16px" Font-Bold=True id="lblUsername" runat="server"></asp:Label>'s Profile</h1>
						
						<uc1:ModifyUserProfile id="_modifyUserProfile" runat="server"></uc1:ModifyUserProfile>
						<br>
						<br>
					</td>
				</tr>
				<tr>
					<td>					
						<uc1:Footer id="Footer1" runat="server"></uc1:Footer>
					</td>
				</tr>
			</table>
		</form>
	</body>
</html>

<script runat="server">
	private void Page_Load(object sender, System.EventArgs e)
	{
		_modifyUserProfile.ParentPageRelativePath = "../";
		_modifyUserProfile.AfterUpdate += new EventHandler(_modifyUserProfile_AfterUpdate);
		_modifyUserProfile.AfterCancel += new EventHandler(_modifyUserProfile_AfterCancel);

		if (this.Request.QueryString["Username"] == null)
		{
			return;
		}

		String sUsername = this.Request.QueryString["Username"];

		_modifyUserProfile.Username = sUsername;
		this.lblUsername.Text = sUsername;
	}
		
	private void _modifyUserProfile_AfterUpdate(object sender, EventArgs e)
	{
		this.Response.Redirect("UserAdmin.aspx");
	}

	private void _modifyUserProfile_AfterCancel(object sender, EventArgs e)
	{
		this.Response.Redirect("UserAdmin.aspx");
	}
</script>
