<%@ Page language="c#" %>
<%@ Register TagPrefix="uc1" TagName="TopBanner" Src="AdminBanner.ascx" %>
<%@ Register TagPrefix="uc1" TagName="Footer" Src="~/Footer.ascx" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<html>
	<head>
		<title>User Role Administration</title>
		<link href="../Sample.css" type="text/css" rel="stylesheet" />
	</head>
	<body>
		<form id="Form1" method="post" runat="server">		
			<uc1:topbanner id="TopBanner1" runat="server"></uc1:topbanner>
			<table cellSpacing="0" cellPadding="10" align="center" width="600" border="0">
				<tr>		
					<td>
						<h1 align="center">User Role Management</h1>
						
						<table align="center" cellPadding="20">
							<tr>
								<td align="right"><h3>All Roles</h3></td>
								<td align="center"><h3>User: <asp:Label id="lblUserInfo" Font-Size="12px" ForeColor="#ff0000" Font-Bold=True runat="server"></asp:Label></h3></td>
								<td align="left"><h3>Current Roles</h3></td>
							</tr>
							<tr>
								<td align="right"><asp:ListBox id="lstAllRoles" runat="server" Width="200px"></asp:ListBox></td>
								<td align="center">		
									<asp:Button id="btnAddRole" OnClick="btnAddRole_Click" runat="server" Text="Add ->" Width="120px"></asp:Button>
									<br />
									<br />
									<asp:Button id="btnDeleteRole"  OnClick="btnDeleteRole_Click" runat="server" Text="<- Remove" Width="120px"></asp:Button>
								</td>
								<td align="left"><asp:ListBox id="lstUserRoles" runat="server" Width="200px"></asp:ListBox></td>
							</tr>						
						</table>
					</td>
				</tr>
				<tr>
					<td>
						<uc1:Footer id="Footer1" runat="server"></uc1:Footer>					
					</td>
				</tr>
			</table>
		</form>
	</body>
</html>
<script runat="server">

	private void Page_Load(object sender, System.EventArgs e)
		{
			if (this.Request.QueryString["Username"] == null)
			{
				return;
			}

			String sUsername = this.Request.QueryString["Username"];

			DataSet ds = SamplePortal.Components.UserData.GetUserInfo(sUsername);
			if (ds.Tables[0].Rows.Count == 0)
			{
				return;
			}
			
			DataRow row = ds.Tables[0].Rows[0];

			if (! this.IsPostBack)
			{
				this.lblUserInfo.Text = sUsername;
				this.BindRoles(sUsername);
			}
		}

		private void BindRoles(String username)
		{
			this.lstAllRoles.DataSource = SamplePortal.Global.GetAllRoles();
			this.lstAllRoles.DataBind();

			this.lstUserRoles.DataSource = SamplePortal.Global.GetRolesOfUser(username);
			this.lstUserRoles.DataBind();
		}

		private void btnFinish_Click(object sender, System.EventArgs e)
		{
			this.Response.Redirect("UserAdmin.aspx");
		}

		private void btnAddRole_Click(object sender, System.EventArgs e)
		{
			if (this.lstAllRoles.SelectedIndex == -1)
			{
				return;
			}

			String sUsername = this.Request.QueryString["Username"];
			String sRoleName = this.lstAllRoles.SelectedValue;

			SamplePortal.Global.AddUserToRole(sRoleName, sUsername);

			this.BindRoles(sUsername);
		}

		private void btnDeleteRole_Click(object sender, System.EventArgs e)
		{
			if (this.lstUserRoles.SelectedIndex == -1)
			{
				return;
			}

			String sUsername = this.Request.QueryString["Username"];
			String sRoleName = this.lstUserRoles.SelectedValue;

			SamplePortal.Global.RemoveUserFromRole(sRoleName, sUsername);

			this.BindRoles(sUsername);
		}
</script>
