<%@ Import Namespace="System.Data.SqlClient" %>
<%@ Import Namespace="System.Data" %>
<%@ Register TagPrefix="uc1" TagName="Footer" Src="Footer.ascx" %>
<%@ Register TagPrefix="uc1" TagName="TopBanner" Src="Banner.ascx" %>
<%@ Page language="c#" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Frameset//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-frameset.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
	<head>
		<title>User's Info</title>
		<link rel="stylesheet" href="sample.css" type="text/css" />
	</head>
	<body>
		<form id="Form1" method="post" runat="server">
			<uc1:topbanner id="TopBanner1" runat="server"></uc1:topbanner>
			<table cellSpacing="0" cellPadding="0" align="center" border="0">
				<tr>	
					<td>
						<table cellspacing="1" cellpadding="5" border="0" class="box700" align="center">
							<tr>
								<td class="boxTitle">
									 Profile
								</td>
							</tr>
							<tr>
								<td class="boxArea">
									<table width="100%" cellspacing="1" cellpadding="3" border="0" align="center">
										<tr>
											<td>										
												
												<table cellspacing="1" border="0" cellpadding="5">
													<tr>
														<td align="right" class="FieldName" width="150">Username:&nbsp;</td>
														<td>
															<asp:Label id="lblUsername" runat="server"></asp:Label>&nbsp;
														</td>
													</tr>
													<tr>
														<td align="right" class="FieldName">Gender:&nbsp;</td>
														<td>
															<asp:Label id="lblSex" runat="server"></asp:Label>&nbsp;</td>
													</tr>
													<tr>
														<td align="right" class="FieldName">Age:&nbsp;</td>
														<td>
															<asp:Label id="lblAge" runat="server"></asp:Label>&nbsp;</td>
													</tr>
													<tr>
														<td align="right" class="FieldName">Location:&nbsp;</td>
														<td>
															<asp:Label id="lblLocation" runat="server"></asp:Label>&nbsp;
														</td>
													</tr>
													<tr>
														<td align="right" class="FieldName">Occupation:&nbsp;</td>
														<td>
															<asp:Label id="lblOccupation" runat="server"></asp:Label>&nbsp;</td>
													</tr>
													<tr>
														<td align="right" class="FieldName">Interests:&nbsp;</td>
														<td>
															<asp:Label id="lblInterests" runat="server"></asp:Label>&nbsp;
														</td>
													</tr>
													<tr>
														<td align="right" class="FieldName">Joined:&nbsp;</td>
														<td>
															<asp:Label id="lblJoined" runat="server"></asp:Label>&nbsp;
														</td>
													</tr>
													<tr>
														<td align="right" class="FieldName">Last login:&nbsp;</td>
														<td>
															<asp:Label id="lblLastLogin" runat="server"></asp:Label>&nbsp;
														</td>
													</tr>
												</table>												
											</td>
										</tr>
									</table>									
								</td>
							</tr>
						</table>
				</td>					
				</tr>
			</table>
			<uc1:Footer id="Footer1" runat="server"></uc1:Footer>
			
		</form>
		
		
		<script runat="server">
		
		private void Page_Load(object sender, System.EventArgs e)
		{
			string UserName = "";
			if (this.Request.QueryString["Username"] == null)
			{
				return;
			}
			
			UserName = Request.QueryString["Username"];

			DataSet ds = SamplePortal.Components.UserData.GetUserInfo(UserName);

			if (ds.Tables[0].Rows.Count == 0)
			{
				return;
			}

			DataRow row = ds.Tables[0].Rows[0];
			
			this.lblUsername.Text = row["Username"].ToString();
			this.lblLocation.Text = row["Location"].ToString();
			this.lblOccupation.Text = row["Occupation"].ToString();
			this.lblLastLogin.Text = row["LastLoginTime"].ToString();
			this.lblJoined.Text = row["DateCreated"].ToString();
			this.lblAge.Text = row["Age"].ToString();
			this.lblSex.Text = ((Boolean) row["Gender"]) ? "Male" : "Female";
		}

		</script>
	</body>
</html>
